#include <stdlib.h>

#include <string.h>
#include "matrix.h"

// TODO Matrix-Funktionen implementieren

Matrix createMatrix(unsigned int rows, unsigned int cols)
{
  Matrix matrix;
  matrix.rows = rows;
  matrix.cols = cols;
  matrix.data = (float *)malloc(rows * cols * sizeof(MatrixType));
  if (matrix.data != NULL) {

  }
  return matrix;
}

void clearMatrix(Matrix *matrix)
{
  if (matrix->data != NULL) {
      free(matrix->data);
    matrix->data = NULL;

  }

  }

void setMatrixAt(MatrixType value, Matrix matrix, unsigned int rowIdx, unsigned int colIdx)
{
    
}

MatrixType getMatrixAt(const Matrix matrix, unsigned int rowIdx, unsigned int colIdx)
{
    
}

Matrix add(const Matrix matrix1, const Matrix matrix2)
{
    
}

Matrix multiply(const Matrix matrix1, const Matrix matrix2)
{
    
}


